import React from "react";
import { View, ScrollView } from "@tarojs/components";
import "./index.scss";
import useUser from "../store/user";

const IsLogin = ({ children }) => {
  const { user } = useUser();
  console.log(user, "user");

  return user && user.userId
    ? children
    : <View style={{textAlign:'center', marginTop: '200px', fontSize: '0.7em', color: '#888'}}>您暂无权限访问当前页面</View>
  ;
};

export default IsLogin;
